#include <Arduino.h>

#define LED_YELLOW  3
#define LED_GREEN   2
#define LED_RED     1
#define LED_OFF     0
#define LED_ON      128


// tutorial for Arduino libs (German):
// http://www.roboternetz.de/community/threads/65187-Tutorial-Erstellen-einer-Arduino-Bibliothek


// define class functions and variables
class RGBLED 
{
   // which are accessible by main program
   public:
   
      // 3 byte variables to store pin numbers
      volatile byte redPin;
      volatile byte greenPin;
      volatile byte bluePin;
      
	  // constructor (function name = class name)
	  // Parameters are pin numbers connected to single LEDs of RGB LED
      RGBLED (byte redPin, byte greenPin, byte bluePin);
      
	  // set color for RGB LED, color values 0..255, store the color as "default color"
	  void setRGB(byte colorRed, byte colorGreen, byte colorBlue);
	  
	  // step forward in dimming cycle:
      // dim from default color to 0, then set the default color again
	  void dimRGB();

	  // Switch LEDs of RGBLED to certain color
      // LEDColor must be LED_GREEN, LED_RED, LED_YELLOW, LED_OFF or LED_ON (LED_ON = switch to default color)
      void SwitchRGBLED(byte LEDColor);
      
};


  